QGIS Application - Bug report #771
Plugin path should be persisted
2007-09-27 11:39 AM - silfreed-silfreed-net -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10830
Description

From Red Hat bug 247551 (I believe this is mostly a symptom of ticket#770):

Description of problem:
On first starup, Quantum GIS is looking for plugins at the following path:

/usr/bin/../lib/qgis

This path is non-existent on my system. The plugins are actually located in the following directory:

/usr/lib64/qgis

If I change the Plugin Directory to this path in the Plugin Manager dialog box, all the installed plugins are displayed. If | click the 'OK'’
button and re-open the dialog box, however, | receive a warning message that there are No Plugins (see attached file: no_plugins.png)
because the Plugin Manager is again looking in:

Jusr/bin/../lib/qgis

for the plugins.

Version-Release number of selected component (if applicable):
qgis-0.8.1-10.fc6

How reproducible:
Always

Steps to Reproduce:

1.Start Quantun GIS

2.Select Plugins->Plugin Manager...
3.Change the Plugin Directory path
4 Click the 'OK' button

5.Select Plugins->Plugin Manager...

Actual Results:
The Plugin Directory changed back to the default.

Expected Results:
The new Plugin Directory should have been persisted.

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=247551

If after changing the Plugin Directory, all of the installed plugins are selected. new menu entries appear under the Plugins top level menu.
While the Plugin Directory is forgotten the next time the Plugin Manager is opened, Quantum GIS remembers which plugins have been
selected. However, this information is forgotten if Quantum GIS is re-started.

Associated revisions

Revision e817c3e9 - 2007-11-20 04:31 PM - Martin Dobias

Removed possibility to change directory of c++ plugins in plugin manager.
Fixes #771.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@7621 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 194d12ae - 2007-11-20 04:31 PM - Martin Dobias

Removed possibility to change directory of c++ plugins in plugin manager.
Fixes #771.

git-svn-id: http://svn.osgeo.org/qgis/trunk@7621 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2007-11-20 07:35 AM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:194d12ae (SVN r7622).

I've removed possibility to change the path for plugins as it shouldn't be really necessary and just confuses users.

#2 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
